/*
 * osc.h - oscillator protos 
 */

int osc_init(oscillator * osc, waveform * wav); 
int osc_on(oscillator * osc, unsigned long freq, unsigned char velocity); 
int osc_off(oscillator * osc); 
int osc_generate(oscillator * osc, unsigned long len, long * outbuf); 


